Subject: Re: bug#10588: failed build with --enable-debug-malloc

From: Andy Wingo <[email-masked]>
Date: Sun, 05 Feb 2012 16:03:38 +0100

On Mon 23 Jan 2012 21:58, Andy Wingo <[email-masked]> writes:

> On Sun 22 Jan 2012 21:57, erana Owl <[email-masked]> writes:
>
>> running configure with --enable-debug-malloc fails on snarfing .doc

I "fixed" this.  Guile itself no longer registers GC-controlled
mallocations, as since 2.0 it is no longer necessary (nor advised) to
call scm_gc_free, so you don't get the pairing that you need to track
numbers of live objects.

We should probably remove the debug-malloc code entirely, given that it
doesn't map well to the current API.

Andy
-- 
http://wingolog.org/